#
# spec file for package mint-themes
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   mint
Name:           mint-themes
Version:        1.6.3
Release:        lp150.1.1
Summary:        Mint Themes
License:        GPL-3.0-or-later
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/mint-themes
Source:         http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  python3
BuildArch:      noarch

%description
A collection of Mint GTK+ themes.

%package -n metatheme-%{_name}-common
Summary:        Mint Themes -- Common Files
Group:          System/GUI/Other
Recommends:     mint-x-icon-theme
Recommends:     mint-y-icon-theme
Suggests:       gtk2-metatheme-%{_name}
Suggests:       gtk3-metatheme-%{_name}
Provides:       %{_name}-themes = %{version}
Obsoletes:      %{_name}-themes < %{version}
# cinnamon-themes was last used in openSUSE Leap 42.3.
Provides:       cinnamon-themes = 2018.02.08
Obsoletes:      cinnamon-themes < 2018.02.08

%description -n metatheme-%{_name}-common
A collection of Mint GTK+ themes.

%package -n gtk2-metatheme-%{_name}
Summary:        Mint Themes -- GTK+ 2 Support
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk2)

%description -n gtk2-metatheme-%{_name}
A collection of Mint GTK+ themes.

%package -n gtk3-metatheme-%{_name}
Summary:        Mint Themes -- GTK+ 3 Support
Group:          System/GUI/Other
Requires:       metatheme-%{_name}-common
Supplements:    packageand(metatheme-%{_name}-common:gtk3)
Provides:       %{_name}-themes-gtk3 = %{version}
Obsoletes:      %{_name}-themes-gtk3 < %{version}

%description -n gtk3-metatheme-%{_name}
A collection of Mint GTK+ themes.

%prep
%setup -q -n %{name}

%build
make %{?_smp_mflags} V=1

%install
mkdir -p %{buildroot}%{_datadir}/
cp -a .%{_datadir}/themes/ %{buildroot}%{_datadir}/themes/

%fdupes %{buildroot}%{_datadir}/themes/

%files -n metatheme-%{_name}-common
%license debian/copyright
%doc debian/changelog
%{_datadir}/themes/Mint*/
%exclude %{_datadir}/themes/Mint*/gtk-?.0/
"%{_datadir}/themes/Linux Mint/"

%files -n gtk2-metatheme-%{_name}
%{_datadir}/themes/Mint*/gtk-2.0/

%files -n gtk3-metatheme-%{_name}
%{_datadir}/themes/Mint*/gtk-3.0/

%changelog
* Tue May  8 2018 sor.alexei@meowr.ru
- Update to version 1.6.3:
  * Mint-Y-Cinnamon: Use the selected_bg_color in menus.
  * Mint-Y-Cinnamon: Fix the styling of the sound applet.
  * Mint-Y-Gtk2: Use selected_bg_color in menus.
  * Mint-Y-Cinnamon: Fix the size of the main menu applet entry.
* Sat Apr 28 2018 sor.alexei@meowr.ru
- Update to version 1.6.2:
  * Remove an accidentally included directory from Mint-Y.
  * Mint-Y: Add some theming for slick greeter.
  * Mint-Y: Quiet a couple warnings in the gtk3 theme from unused
    properties.
  * Mint-X, Mint-Y: Add window-list-preview.
  * Mint-Y-Cinnamon: Small cleanup for the window list preview.
  * Mint-Y-Cinnamon: Clean up panel launcher placement.
  * Mint-Y: Make a few improvements for mate-panel.
  * Mint-Y-Cinnamon: Clean up a bunch of unused variables.
  * Mint-Y-Gtk3: Improve the styling of the list box header in Mint
    settings windows.
  * Mint-Y-Gtk3: Improve the hover effect on listbox rows.
  * Mint-Y-Gtk3: Fix the background color of the stacksidebar
    listbox.
  * Mint-Y-Gtk3: Fix the color of the sidebar in GtkFileChooser.
  * Mint-Y-Gtk3: Make sure circular buttons are actually circular.
  * Linux Mint: Add window-list-preview class.
  * Mint-X-Gtk3: Start updating for gtk3.22
  * Mint-X-Gtk3: Fix theming of wide paned vertical separators.
  * [Mint-X/Cinnamon] Cleanup and fixes.
  * Mint-X-Gtk3: Clean up the styling of cinnamon-apps a bit.
  * Mint-X-Gtk3: Quiet the remaining warnings.
  * Mint-X-Gtk3: Improve check and radio items a bit.
  * Mint-X-Gtk3: Add some basic theming for GtkExpander.
  * Mint-X-Gtk3: Clean up treeviews a bit.
  * Mint-X-Gtk3: Fix a weird border on menus.
  * Mint-X-Gtk3: Fix the style of popover menu items.
  * Mint-X-Gtk3: Do some more small cleanups.
  * Mint-X-Gtk3: Fix a double border on paned sidebars.
  * Mint-X-Gtk3: Add theming for terminal and xed.
  * Mint-X-Gtk3: Hide separator in file and font buttons.
  * Mint-X-Gtk3: Fix styling of the appmenu button.
  * Mint-X-Gtk3: Remove unused pix theming.
  * Mint-X-Gtk3: Add styling for nemo rename entries.
  * Mint-X-Gtk3: Improve some insensitive icon and label colours.
  * Mint-X-Gtk3: Fix theming for GtkCalendar.
  * Mint-X-Gtk3: Clean up some commented out garbage.
  * Mint-X-Gtk3: Fix GtkAssistant styling.
  * Mint-Y: Correct font to font-size in window list preview.
  * Mint-X-Gtk3: Fix the styling for GtkColorChooser.
  * Mint-X-Gtk3: Update some theming for content views.
  * Remove unused style and unused images.
  * Styling homogenisation.
  * Mint-X-Gtk3: Add assets for header/titlebar window controls.
  * Mint-X-Gtk3: Update theming for lightdm.
  * Mint-X-Gtk3: Remove unused asset images.
  * Mint-X-Gtk3: Update infobar styling.
  * Mint-X-Gtk3: Fix toolbar padding.
  * [Mint-X/Cinnamon] Cleanup and fixes.
  * Mint-X-Gtk3: Fix some header/titlebar padding issues.
  * Mint-X-Gtk3: Add support for GtkShortcutsWindow.
  * Mint-Y-Gtk3: Fix oversized tabs in places like gnome terminal
    notebooks.
  * Mint-Y-Gtk3: Add back just a bit of padding to buttons in
    terminal headers.
  * Mint-Y-Gtk3: Fix disabled colors in dark header/toolbars.
  * [Mint-X/Cinnamon] Fix modal dialogues button shifting when
    buttons are focused.
  * Mint-X-Gtk3: Fix a few random selectors.
  * Mint-X-Gtk3: Add some catch all selectors for selected items.
  * Mint-Y-Gtk3: Adapt to the changes in the nemo sidebar.
  * Mint-Y-Gtk3: Couple of nemo improvements.
  * Mint-Y-Gtk3: Use a dark sidebar in caja.
  * Mint-Y-Gtk3: Update some xfce4 panel theming.
  * Mint-Y: More Xfce4 panel fixes.
  * Mint-Y: Add sticky/shade/menu icons.
  * Mint-Y-Cinnamon: Use Noto Sans as the base font.
  * Mint-X-Gtk3: Clean up a couple of errors and unused selectors.
  * Mint-Y-Gtk3: Fix the Nemo sidebar separator.
  * Cinnamon: Sound applet player buttons.
  * Cinnamon: window-list modifications in LM theme.
  * Mint-Y-Gtk3: Improve the styling of the linked entry in
    mintinstall.
  * Mint-X*: Improve assets and progress colours.
  * Mint-X-Gtk3: Fix the colour of buttons inside of infobars.
  * All-Gtk3: Add proper support for GtkTreeview dnd.
  * Clean up unused styles.
  * Some fixes.
* Thu Mar 15 2018 sor.alexei@meowr.ru
- Update to version 1.6.1 (changes since 1.5.0):
  * Remove duplicated files, generate colour variations during the
    build.
  * Add Mint-X GTK+3 and Mint-Y.
  * Add Cinnamon themes.
- Obsolete cinnamon-themes in metatheme-mint-common.
- Recommend mint-y-icon-theme in metatheme-mint-common for Mint-Y.
* Thu May  4 2017 sor.alexei@meowr.ru
- Update to version 1.5.0 (changes since 1.4.8):
  * metacity-theme-2.xml: Fill the titlebar underneath the gradient.
  * metacity-2: Improve styling for border type windows.
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 1.4.8:
  * Fix mintmenu background picture.
* Wed Jun 22 2016 sor.alexei@meowr.ru
- Update to version 1.4.7:
  * Metacity: Round corners in border style.
* Sun Nov  8 2015 sor.alexei@meowr.ru
- Update to version 1.4.6:
  * Xfce logout improvements.
  * Remove extra themes.
  * Pressed colour is inherited from style.
  * Add Xfwm compact theme.
  * Pressed buttons have shade and close button is rounded.
  * Fix fill icons (it was 17x18 size, now 16x16 as it should be).
  * 1000 new icons.
  * Chromium r-click menu unclickable items gray.
  * Separate libreoffice-style-mint.
- Drop libreoffice-icon-theme-mint package.
* Sat Oct 17 2015 sor.alexei@meowr.ru
- Update to version 1.4.5 (changes since 1.3.9+git20141119):
  * Reduce file size of svg images.
  * Update LibreOffice theme (compatible with LO 4.3 and 4.4).
  * Add a metacity-2 theme for MATE 1.10+.
  * Re-work the window control icons a bit to improve sharpness and
    definition.
  * Add a grey version of the Gtk2 theme.
  * Add themeing for Xfce alt-tab and notifications.
- Spec redone.
* Thu Apr 23 2015 stefan@fam-elser.de
- update to version 2014.11.19 from git
* Mon Jun  2 2014 stefan@fam-elser.de
- Initial build
